import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class DefaultProfileImg extends StatefulWidget {
  const DefaultProfileImg({
    Key key,
    this.firstName,
    this.lastName,
  }) : super(key: key);

  final String firstName;
  final String lastName;

  @override
  _DefaultProfileImgState createState() => _DefaultProfileImgState();
}

class _DefaultProfileImgState extends State<DefaultProfileImg> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    print(this.widget.firstName);
    print(this.widget.lastName);
    print(this.widget.firstName.trim().substring(0, 1).toString());
    return ClipOval(
      child: Material(
        color: Color(0xffE8ECEF),
        child: SizedBox(
          width: ScreenUtil().setWidth(38),
          height: ScreenUtil().setWidth(39),
          child: Center(
            child: Text(
              this.widget.lastName != null && this.widget.lastName != "null"
                  ? this.widget.firstName.trim().substring(0, 1) +
                      this.widget.lastName.trim().substring(0, 1)
                  : this.widget.firstName.trim().substring(0, 1),
              style: TextStyle(
                color: Color(0xFF083356),
                fontSize: ScreenUtil().setSp(15),
              ),
            ),
          ),
        ),
      ),
    );
  }
}
